# CvTrainTestSplit Struct Reference

`#include <ml.hpp>`

List of all members.

## Public Member Functions

| CvTrainTestSplit ()
| CvTrainTestSplit (float _train_sample_portion, bool _mix=true)
| CvTrainTestSplit (int _train_sample_count, bool _mix=true)

## Public Attributes

union {
int * count
float * portion
} | class_part
int | class_part_mode
bool | mix
union {
int count
float portion
} | train_sample_part
int | train_sample_part_mode

## Constructor & Destructor Documentation

CvTrainTestSplit::CvTrainTestSplit | ( | ) |

CvTrainTestSplit::CvTrainTestSplit | ( | int | _train_sample_count,
|  | bool | _mix = `true`
| ) |  |

CvTrainTestSplit::CvTrainTestSplit | ( | float | _train_sample_portion,
|  | bool | _mix = `true`
| ) |  |

## Member Data Documentation

union { ... } * CvTrainTestSplit::class_part

int CvTrainTestSplit::class_part_mode

int* CvTrainTestSplit::count

int CvTrainTestSplit::count

bool CvTrainTestSplit::mix

float CvTrainTestSplit::portion

float* CvTrainTestSplit::portion

union { ... } CvTrainTestSplit::train_sample_part

int CvTrainTestSplit::train_sample_part_mode

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines